| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Pike
Pike.__Backend

# Method Pike.__Backend()->remove_call_out()

Method remove_call_out

  `int remove_call_out(function f)`
  `int remove_call_out(array id)`

Description

  Remove a call out from the call out queue.

  This function finds the first call to the function f in the call_out queue and removes it. You can also give a call out id as argument (as returned by call_out() ).

Returns

  The remaining time in seconds left to that call out will be returned. If no call_out was found, zero_type (remove_call_out (f )) will return 1.

See also

  call_out_info() , call_out() , find_call_out()